aboutsummaryrefslogtreecommitdiffstats
path: root/testing/qt5-qtdeclarative/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-10-04 14:24:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-04 14:24:07 +0000
commit0e23cd0f132292d473fb1a149f526833223b7730 (patch)
tree5a0aa95ee08e88a4fdec41b8926d2d3f2316a1fd /testing/qt5-qtdeclarative/APKBUILD
parentdbbbe578ddc05fa1c740657a436e2522a0edcfb9 (diff)
downloadaports-0e23cd0f132292d473fb1a149f526833223b7730.tar.gz
aports-0e23cd0f132292d473fb1a149f526833223b7730.tar.bz2
aports-0e23cd0f132292d473fb1a149f526833223b7730.tar.xz
testing/qt5-qtdeclarative: new aport
Qt5 - QtDeclarative component http://qt-project.org/
Diffstat (limited to 'testing/qt5-qtdeclarative/APKBUILD')
-rw-r--r--testing/qt5-qtdeclarative/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/qt5-qtdeclarative/APKBUILD b/testing/qt5-qtdeclarative/APKBUILD
new file mode 100644
index 0000000000..aa5e8dd664
--- /dev/null
+++ b/testing/qt5-qtdeclarative/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=qt5-qtdeclarative
+pkgver=5.1.1
+pkgrel=0
+pkgdesc="Qt5 - QtDeclarative component"
+url="http://qt-project.org/"
+arch="all"
+license="LGPLv2 with exceptions or GPLv3 with exceptions"
+depends=""
+depends_dev=""
+makedepends="$depends_dev qt5-qtbase-dev qt5-qtjsbackend-dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://download.qt-project.org/official_releases/qt/5.1/$pkgver/submodules/qtdeclarative-opensource-src-$pkgver.tar.xz"
+
+_builddir="$srcdir"/qtdeclarative-opensource-src-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ qmake && make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make install INSTALL_ROOT="$pkgdir" || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
+}
+
+md5sums="486fc16ad7b7d0c1488ba5482536d66c qtdeclarative-opensource-src-5.1.1.tar.xz"
+sha256sums="0ee989a5d45a94e927609b22e2413c7f2788a7b4a23af66ecfa15c31db2a9b31 qtdeclarative-opensource-src-5.1.1.tar.xz"
+sha512sums="279511624723d6774ef308b9029d950b0be951c1c3b6b09f8d67962c927617db67b023c81065875d65c1dd2c048e618aa8b6b13a311040c6d5ddf1c42a4718f9 qtdeclarative-opensource-src-5.1.1.tar.xz"